{% extends "admin/index.html"  %}

{% block content %}

  <div class="row">
    <div class="col-md-6">
      <h3>Películas con mayor recaudo</h3>
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Película</th>
            <th scope="col">Valor Recaudo</th>
            <th scope="col">Director</th>
          </tr>
        </thead>
        <tbody>
          {% for row in moviegrossmayor %}
            <tr>
              <td scope="row">{{row.movie_title}}</td>
              <td>$ {{row.gross}}</td>
              <td>{{row.director_name.name}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>
    <div class="col-md-6">
      <h3>Películas con menor recaudo</h3>
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Película</th>
            <th scope="col">Valor Recaudo</th>
            <th scope="col">Director</th>
          </tr>
        </thead>
        <tbody>
          {% for row in moviegrossmenor %}
            <tr>
              <td scope="row">{{row.movie_title}}</td>
              <td>$ {{row.gross}}</td>
              <td>{{row.director_name.name}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-6">
      <h3>Películas con mayor presupuesto para su produción</h3>
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Película</th>
            <th scope="col">Valor Producción</th>
            <th scope="col">Director</th>
          </tr>
        </thead>
        <tbody>
          {% for row in moviebudgetmayor %}
            <tr>
              <td scope="row">{{row.movie_title}}</td>
              <td>$ {{row.budget}}</td>
              <td>{{row.director_name.name}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>
    <div class="col-md-6">
      <h3>Películas con menor presupuesto para su produción</h3>
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Película</th>
            <th scope="col">Valor Producción</th>
            <th scope="col">Director</th>
          </tr>
        </thead>

        <tbody>
          {% for row in moviebudgetmenor %}
            <tr>
              <td scope="row">{{row.movie_title}}</td>
              <td>$ {{row.budget}}</td>
              <td>{{row.director_name.name}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>
  </div>
  
  <h3>Genero qe le gusta más a las personas</h3>

  <div class="row">
    <div class="col-md-6">
      <h3>Genero que recaudo mayor cantidad de dinero</h3>  
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Genero</th>
            <th scope="col">Película</th>
            <th scope="col">Valor Recaudo</th>
            <th scope="col">Año</th>
          </tr>
        </thead>
        <tbody>
          {% for row in movie_genres_by_year %}
            <tr>
              <td scope="row">{{row.genre_name}}</td>
              <td scope="row">{{row.movie_title}}</td>
              <td>$ {{row.gross}}</td>
              <td>{{row.title_year}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>   
    <div class="col-md-6">
      <h3>Directores que más le gusta a la gente según facebook </h3>
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Director</th>
            <th scope="col">Cantidad de Likes</th>
          </tr>
        </thead>
        <tbody>
          {% for row in director_face_like %}
            <tr>
              <td scope="row">{{row.name}}</td>
              <td>{{row.facebook_like}}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>      
    </div>
  </div>
     
{% endblock %}